net.minecraft.world.gen.structure

## Class StructureVillagePieces.Hall

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureComponent
  - - net.minecraft.world.gen.structure.StructureVillagePieces.Village
    - - net.minecraft.world.gen.structure.StructureVillagePieces.Hall

- Enclosing class:
    StructureVillagePieces

      public static class StructureVillagePieces.Hall
      extends StructureVillagePieces.Village

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.world.gen.structure.StructureComponent

      `StructureComponent.BlockSelector`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.gen.structure.StructureVillagePieces.Village

      `field_143015_k`

    - ### Fields inherited from class net.minecraft.world.gen.structure.StructureComponent

      `boundingBox, componentType, coordBaseMode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StructureVillagePieces.Hall()`
    `StructureVillagePieces.Hall(StructureVillagePieces.Start par1ComponentVillageStartPiece, int par2, java.util.Random par3Random, StructureBoundingBox par4StructureBoundingBox, int par5)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addComponentParts(World par1World, java.util.Random par2Random, StructureBoundingBox par3StructureBoundingBox)`
    `static StructureVillagePieces.Hall` | `func_74906_a(StructureVillagePieces.Start par0ComponentVillageStartPiece, java.util.List par1List, java.util.Random par2Random, int par3, int par4, int par5, int par6, int par7)`
    `protected int` | `getVillagerType(int par1)`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureVillagePieces.Village

      `canVillageGoDeeper, fillWithBlocks, func_143011_b, func_143012_a, func_151554_b, func_151557_c, func_151558_b, getAverageGroundLevel, getNextComponentNN, getNextComponentPP, placeBlockAtCurrentPosition, spawnVillagers`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureComponent

      `buildComponent, clearCurrentPositionBlocksUpwards, fillWithAir, fillWithMetadataBlocks, fillWithRandomizedBlocks, findIntersecting, func_143009_a, func_143010_b, func_151547_a, func_151552_a, func_151553_a, generateStructureChestContents, generateStructureDispenserContents, getBlockAtCurrentPosition, getBoundingBox, getComponentType, getMetadataWithOffset, getXWithOffset, getYWithOffset, getZWithOffset, isLiquidInStructureBoundingBox, placeDoorAtCurrentPosition, randomlyFillWithBlocks`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StructureVillagePieces.Hall

          public StructureVillagePieces.Hall()

    - #### StructureVillagePieces.Hall

          public StructureVillagePieces.Hall(StructureVillagePieces.Start par1ComponentVillageStartPiece,
                                     int par2,
                                     java.util.Random par3Random,
                                     StructureBoundingBox par4StructureBoundingBox,
                                     int par5)

  - ### Method Detail

    - #### func_74906_a

          public static StructureVillagePieces.Hall func_74906_a(StructureVillagePieces.Start par0ComponentVillageStartPiece,
                                                 java.util.List par1List,
                                                 java.util.Random par2Random,
                                                 int par3,
                                                 int par4,
                                                 int par5,
                                                 int par6,
                                                 int par7)

    - #### addComponentParts

          public boolean addComponentParts(World par1World,
                                  java.util.Random par2Random,
                                  StructureBoundingBox par3StructureBoundingBox)

      Specified by:
        `addComponentParts` in class `StructureComponent`

    - #### getVillagerType

          protected int getVillagerType(int par1)

      Overrides:
        `getVillagerType` in class `StructureVillagePieces.Village`